import AbstractElement from './AbstractElement';
export default class Dropdown extends AbstractElement {
    private options;
    private select;
    /**
     * Adds one selectable option to the dropdown
     * @param {string} label The text to display
     * @param {string} value The value, that will be used internally when the option was selected
     */
    addOption(label: string, value: string): this;
    protected getInput(): HTMLElement;
    private onChange;
}
